Skip to main content
G-NAF

Autocomplete (lookup) a geocoded national address record (G-NAF)

Autocomplete (lookup) address detail records from the Geoscape Geocoded National Address File (G-NAF).

GET
/gnaf/autocomplete

Geoscape G-NAF is the geocoded address database for Australian businesses and governments. It's the trusted source of geocoded address data for Australia with over 50 million contributed addresses distilled into 15.4 million G-NAF addresses. It is built and maintained by Geoscape Australia using independently examined and validated government data.

G-NAF © Geoscape Australia licensed by the Commonwealth of Australia under the Open Geo-coded National Address File (G-NAF) End User Licence Agreement.

This method requires the GNAF:AutocompleteAddressRecord permission to be associated with your role

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
search_querystringqueryrequired

Partial address to search for.

Required string length: 3 - 100
statesenum<string>[]query

Limit search to the specified states or territories.

New South Wales - NSW Victoria - VIC Queensland - QLD South Australia - SA Western Australia - WA Tasmania - TAS Northern Territory - NT Australian Capital Territory - ACT Other Territories - OT

result_limitintegerquerydefault:10

(Optional) Result limit.

Range limit between 1 and 20.

Required range: 1 <= x <= 20

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]